DROP DATABASE IF EXISTS blognot;

CREATE DATABASE blognot;

USE blognot;

DROP TABLE IF EXISTS tags;

CREATE TABLE tags (
  id          int PRIMARY KEY auto_increment,
  name        varchar(32) UNIQUE NOT NULL,
  anons       varchar (80),
  rating      int,
  date        bigint default '0'
);

DROP TABLE IF EXISTS notes;

CREATE TABLE notes (
  id          int PRIMARY KEY auto_increment,
  date        bigint,
  name        varchar(255),
  rating      int,
  ip          varchar(16),
  ipdate      bigint,
  anons       text
);

DROP TABLE IF EXISTS blocks;

CREATE TABLE blocks (
  id          int PRIMARY KEY auto_increment,
  id_note     int NOT NULL,
  number      int,
  type        int,                            #header1/header2/html/text/link/picture/file
  visible     int DEFAULT '1',
  url         varchar (255),
  text        text
);

DROP TABLE IF EXISTS cloud;

CREATE TABLE cloud (
  id_tag      int NOT NULL,
  id_note     int NOT NULL
);

DROP TABLE IF EXISTS comments;

CREATE TABLE comments (
  id       int PRIMARY KEY auto_increment,
  id_note  int NOT NULL,
  name     varchar(32),
  password varchar(32),
  url      varchar(255),
  message  text,
  answer   text,
  date     bigint,
  ip       varchar(16)
);